Recipient-Patch-v6

From Barion Documentation
Jump to navigation Jump to search

Barion API: PATCH v6/recipients/{recipientid}

PATCH /v6/recipients/{recipientid}

This API endpoint updates the name details of an existing recipient.

Prerequisites before use:

Authentication

Barion Wallet Authentication

Input properties

Property name Property type Limitations and constraints Description
Idempotency-Key GUID
  • Optional
Idempotency key used to safely retry requests without duplicating operations. Passed in the request header.

See Idempotency-Key.

recipientid String
  • Required
  • Format: rcp_<ordered-base64-ulid>
ID of the existing recipient to be updated. Passed as a path parameter.
<root> Object
  • Required
companyName String
  • Required if recipient is of type business
  • Maximum length: 100 characters
Updated name of the company.
firstName String
  • Required if recipient is of type individual
  • Maximum length: 45 characters
Updated first name of the recipient.
lastName String
  • Required if recipient is of type individual
  • Maximum length: 45 characters
Updated last name of the recipient.

Output properties

HTTP status code: 204 No Content

The response body is empty.

To find out which errors this endpoint can produce, visit the Calling the API – Handling the response page. Note that this endpoint uses camelCase field names in error responses.

Possible error messages

Condition ErrorCode HTTP status code
Invalid input data ModelValidationError 400
Authentication fails 401
Referenced recipient is not connected to the opened wallet RecipientForbidden 403
Recipient does not exist RecipientNotFound 404